;---------------------------------------------------------------------------
; Stand Light Punch
; CNS difficulty: easy
[Statedef 200]
type    = S                      ;State-type: S-stand, C-crouch, A-air, L-liedown
movetype= A                      ;Move-type: A-attack, I-idle, H-gethit
physics = S                      ;Physics: S-stand, C-crouch, A-air
juggle  = 1                      ;Number of air juggle points move takes
velset = 0,0                     ;Set velocity (x,y) (Def: no change)
ctrl = 0                         ;Set ctrl (Def: no change)
anim = 200                       ;Change animation (Def: no change)
sprpriority = 2                  ;Set p1's sprite layering priority to 2 (in front)

[State 0, Width]
type = Width
trigger1 = animelemtime(3) >= 0 && animelemtime(3) <= 5
edge = 0,0
player = 14,12
ignorehitpause = 1

[State 200, 1]
type = HitDef
triggerall = p2stateno != 5040
trigger1 = AnimElem = 3
attr = S, NA                     ;Attribute: Standing, Normal Attack
damage = 44, 0                   ;Damage that move inflicts, guard damage
animtype = Light                 ;Animation type: Light, Medium, Heavy, Back (def: Light)
guardflag = M                   ;Flags on how move is to be guarded against
hitflag = MA                    ;Flags of conditions that move can hit
priority = 3, Hit                ;Attack priority: 0 (least) to 7 (most), 4 default
;Hit/Miss/Dodge type (Def: Hit)
pausetime = 5, 6                 ;Time attacker pauses, time opponent shakes
sparkno = S9004                      ;Spark anim no (Def: set above)
guard.sparkno = S9008
sparkxy = -10, -76               ;X-offset for the "hit spark" rel. to p2,
;Y-offset for the spark rel. to p1
hitsound = S12, 0                  ;Sound to play on hit
guardsound = S0,10                ;Sound to play on guard
ground.type = High               ;Type: High, Low, Trip (def: Normal)
ground.slidetime = 9             ;Time that the opponent slides back
ground.hittime  = 10             ;Time opponent is in hit state
ground.velocity = -5             ;Velocity at which opponent is pushed
airguard.velocity= -1.9,-.8     ;Guard velocity in air (def: (air.xvel*1.5, air.yvel/2))
air.type = High                  ;Type: High, Low, Trip (def: same as ground.type)
air.velocity = -2,-4           ;X-velocity at which opponent is pushed,
;Y-velocity at which opponent is pushed
air.hittime = 13                 ;Time before opponent regains control in air
ground.cornerpush.veloff = 0
guard.cornerpush.veloff = 0
air.cornerpush.veloff = 0
airguard.cornerpush.veloff = 0
down.cornerpush.veloff = 0
getpower = 56
givepower = 14
nochainid = 3000

[State 200, StateTypeSet]
type = StateTypeSet
trigger1 = AnimElem = 4
movetype = I

[State 200, 2]
type = PlaySnd
trigger1 = Animelem = 3
value = S2, 1
channel = 0

[State 200, 2]
type = PlaySnd
trigger1 = Time = 1
value = 0, 5

[State 200, 3]
type = ChangeState
trigger1 = AnimTime = 0
value = 0
ctrl = 1

;---------------------------------------------------------------------------
; Close Stand Light Punch
; CNS difficulty: easy
[Statedef 205]
type    = S                      ;State-type: S-stand, C-crouch, A-air, L-liedown
movetype= A                      ;Move-type: A-attack, I-idle, H-gethit
physics = S                      ;Physics: S-stand, C-crouch, A-air
juggle  = 1                      ;Number of air juggle points move takes
velset = 0,0                     ;Set velocity (x,y) (Def: no change)
ctrl = 0                         ;Set ctrl (Def: no change)
anim = 205                      ;Change animation (Def: no change)
sprpriority = 2                  ;Set p1's sprite layering priority to 2 (in front)

[State 200, StateTypeSet]
type = StateTypeSet
trigger1 = AnimElem = 4
movetype = I

[State 200, 1]
type = HitDef
triggerall = p2stateno != 5040
trigger1 = AnimElem = 3
attr = S, NA                     ;Attribute: Standing, Normal Attack
damage = 33, 0                   ;Damage that move inflicts, guard damage
animtype = Light                 ;Animation type: Light, Medium, Heavy, Back (def: Light)
guardflag = M                   ;Flags on how move is to be guarded against
hitflag = MA                    ;Flags of conditions that move can hit
priority = 3, Hit                ;Attack priority: 0 (least) to 7 (most), 4 default
;Hit/Miss/Dodge type (Def: Hit)
pausetime = 5, 6                 ;Time attacker pauses, time opponent shakes
sparkno = S9004                       ;Spark anim no (Def: set above)
guard.sparkno = S9008
sparkxy = -10, -76               ;X-offset for the "hit spark" rel. to p2,
;Y-offset for the spark rel. to p1
hitsound = S12, 0                    ;Sound to play on hit
guardsound = S0,10               ;Sound to play on guard
ground.type = High               ;Type: High, Low, Trip (def: Normal)
ground.slidetime = 9             ;Time that the opponent slides back
ground.hittime  = 10             ;Time opponent is in hit state
ground.velocity = -4             ;Velocity at which opponent is pushed
airguard.velocity= -1.9,-.8     ;Guard velocity in air (def: (air.xvel*1.5, air.yvel/2))
air.type = High                  ;Type: High, Low, Trip (def: same as ground.type)
air.velocity = -2,-4           ;X-velocity at which opponent is pushed,
;Y-velocity at which opponent is pushed
air.hittime = 13                 ;Time before opponent regains control in air
ground.cornerpush.veloff = 0
guard.cornerpush.veloff = 0
air.cornerpush.veloff = 0
airguard.cornerpush.veloff = 0
down.cornerpush.veloff = 0
getpower = 56
givepower = 14
nochainid = 3000

[State 200, 2]
type = PlaySnd
trigger1 = Animelem = 2
value = S2, 1
channel = 0

[State 200, 2]
type = PlaySnd
trigger1 = Time = 1
value = 0, 5

[State 200, 3]
type = ChangeState
trigger1 = AnimTime = 0
value = 0
ctrl = 1

;---------------------------------------------------------------------------
;Standing strong punch.
[Statedef 210]
type    = S
movetype= A
physics = S
juggle  = 4
ctrl = 0
velset = 0,0
anim = 210
sprpriority = -1

[State 0, Width]
type = Width
trigger1 = animelemtime(4) >= 0 && animelemtime(8) <= 2
edge = 0,0
player = 17,12
ignorehitpause = 1

[State 200, 2]
type = PlaySnd
trigger1 = Animelem = 3
value = S2,0
channel = 0

[State 200, StateTypeSet]
type = StateTypeSet
trigger1 = AnimElem = 11
movetype = I

[State 210, 1]
type = PlaySnd
trigger1 = Animelem = 4
value = 0, 6

[State 210, 2]
type = HitDef
triggerall = p2stateno != 5040
trigger1 = AnimElem = 4
attr = S, NA
animtype  = Medium
damage    = 100
hitflag = MA
guardflag = M
pausetime = 12,12
sparkno = S9006
guard.sparkno = S9008
sparkxy = -10,-70
hitsound   = S12, 1  
guardsound = S0,10
ground.type = High
ground.slidetime = 19
ground.hittime  = 19
ground.velocity = -7
air.velocity = -2.5,-4
forcenofall = 1
ground.cornerpush.veloff = 0
guard.cornerpush.veloff = 0
air.cornerpush.veloff = 0
airguard.cornerpush.veloff = 0
down.cornerpush.veloff = 0
getpower = 138
givepower = 28
nochainid = 3000

[State 210, 5]
type = ChangeState
trigger1 = AnimTime = 0
value = 0
ctrl = 1

;---------------------------------------------------------------------------
; Close Standing strong punch.
[Statedef 215]
type    = S
movetype= A
physics = S
juggle  = 4
ctrl = 0
velset = 0,0
anim = 215
sprpriority = 2

[State 200, 2]
type = PlaySnd
trigger1 = Animelem = 3
value = S2,0
channel = 0

[State 200, StateTypeSet]
type = StateTypeSet
trigger1 = AnimElem = 6
movetype = I

[State 210, 1]
type = PlaySnd
trigger1 = Time = 2
value = 0, 6

[State 210, 2]
type = HitDef
triggerall = p2stateno != 5040
trigger1 = AnimElem = 4
attr = S, NA
animtype  = Medium
damage    = 88
guardflag = M
pausetime = 12,12
sparkno = S9006
guard.sparkno = S9008
sparkxy = -10,-70
hitsound   = S12, 1 
guardsound = S0,10
ground.type = High
ground.slidetime = 16
ground.hittime  = 16
ground.velocity = -7
air.velocity = -2,-4
forcenofall = 1
ground.cornerpush.veloff = -7
guard.cornerpush.veloff = 0
air.cornerpush.veloff = -7
airguard.cornerpush.veloff = 0
down.cornerpush.veloff = 0
getpower = 138
givepower = 28
nochainid = 3000

[State 210, 5]
type = ChangeState
trigger1 = AnimTime = 0
value = 0
ctrl = 1

;---------------------------------------------------------------------------
;Overhead
[Statedef 217]
type    = S
movetype= A
physics = N
juggle  = 4
ctrl = 0
velset = 0,0
anim = 217
sprpriority = -1

[State 0, Width]
type = Width
trigger1 = animelemtime(4) >= 0 && animelemtime(4) <= 3
edge = 0,0
player = 14,12
ignorehitpause = 1


[State 0, PlaySnd]
type = PlaySnd
trigger1 = Animelemtime(3) = 0
value = S2,3
channel = 0

[State 210, 1]
type = PlaySnd
trigger1 = Animelemtime(4) = 0
value = 0, 6

[State 200, StateTypeSet]
type = StateTypeSet
trigger1 = AnimElem = 5
movetype = I

[State 210, 2]
type = HitDef
triggerall = p2stateno != 5040
trigger1 = AnimElem = 4
attr = S, NA
animtype  = Medium
damage    = 67
hitflag = MA
guardflag = HA
pausetime = 12,12
sparkno = S9006
guard.sparkno = S9008
sparkxy = -20,-65
hitsound   = S12, 1 
guardsound = S0,10
ground.type = Low
ground.slidetime = 16
ground.hittime  = 25
yaccel = 0.5
ground.velocity = -8
air.velocity = -2,-4
forcenofall = 1
ground.cornerpush.veloff = 0
guard.cornerpush.veloff = 0
air.cornerpush.veloff = 0
airguard.cornerpush.veloff = 0
down.cornerpush.veloff = 0
getpower = 222
givepower = 56
nochainid = 3000

[State 210, 5]
type = ChangeState
trigger1 = AnimTime = 0
value = 0
ctrl = 1

;---------------------------------------------------------------------------
; Standing light kick
; CNS difficulty: easy
[Statedef 230]
type    = S
movetype= A
physics = S
juggle  = 4
ctrl = 0
velset = 0,0
anim = 230
sprpriority = 2

[State 230, 1]
type = PlaySnd
trigger1 = Time = 2
value = 0, 26

[State 200, StateTypeSet]
type = StateTypeSet
trigger1 = AnimElemTime(6) = 2
movetype = I

[State 230, 2]
type = HitDef
triggerall = p2stateno != 5040
trigger1 = Time = 0
attr = S, NA
animtype  = Medium
damage    = 62
hitflag = MA
guardflag = M
pausetime = 6,8
sparkno = S9004
guard.sparkno = S9008
sparkxy = -13,-67
hitsound   = S12, 0  
guardsound = S0,10
ground.type = Low
ground.slidetime = 12
ground.hittime  = 15
ground.velocity = -8
air.velocity = -4,-1
ground.cornerpush.veloff = 0
guard.cornerpush.veloff = 0
air.cornerpush.veloff = 0
airguard.cornerpush.veloff = 0
down.cornerpush.veloff = 0
getpower = 56
givepower = 14
nochainid = 3000

[State 230, 3]
type = ChangeState
trigger1 = AnimTime = 0
value = 0
ctrl = 1
;---------------------------------------------------------------------------
; Close Standing light kick
[Statedef 235]
type    = S
movetype= A
physics = S
juggle  = 4
ctrl = 0
velset = 0,0
anim = 235
sprpriority = 2

[State 230, 1]
type = PlaySnd
trigger1 = Time = 2
value = 0, 26

[State 200, StateTypeSet]
type = StateTypeSet
trigger1 = AnimElem = 4
movetype = I

[State 230, 2]
type = HitDef
triggerall = p2stateno != 5040
trigger1 = Time = 0
attr = S, NA
animtype  = Medium
damage    = 44
hitflag = MA
guardflag = M
pausetime = 7,8
sparkno = S9004
guard.sparkno = S9008
sparkxy = -10,-37
hitsound   = S12, 0  
guardsound = S0,10
ground.type = Low
ground.slidetime = 11
ground.hittime  = 11
ground.velocity = -5
air.velocity = -2,-4
ground.cornerpush.veloff = 0
guard.cornerpush.veloff = 0
air.cornerpush.veloff = 0
airguard.cornerpush.veloff = 0
down.cornerpush.veloff = 0
getpower = 56
givepower = 14
nochainid = 3000

[State 230, 3]
type = ChangeState
trigger1 = AnimTime = 0
value = 0
ctrl = 1
;---------------------------------------------------------------------------
; Standing strong kick
; CNS difficulty: easy
[Statedef 240]
type    = S
movetype= A
physics = S
juggle  = 5
ctrl = 0
velset = 0,0
anim = 240
sprpriority = 2

[State 0, Width]
type = Width
trigger1 = animelemtime(4) >= 0 && animelemtime(6) <= 5
edge = 0,0
player = 33,0
ignorehitpause = 1

[State 240, 1]
type = PlaySnd
trigger1 = Animelem = 4 || Animelem = 6
value = 0, 27

[State 200, StateTypeSet]
type = StateTypeSet
trigger1 = AnimElem = 7
movetype = I

[State 240, 2]
type = HitDef
triggerall = p2stateno != 5040
trigger1 = Animelemtime(4) = 0
attr = S, NA
animtype  = Medium
hitflag  = MA
damage    = 44
guardflag = M
pausetime = 12,12
sparkno = S9006
guard.sparkno = S9008
sparkxy = -10,-50
hitsound   = S12, 1 
guardsound = S0,10
ground.type = Low
ground.slidetime = 12
ground.hittime  = 16
ground.velocity = -1
air.velocity = -2,-4
air.hittime = 16
ground.cornerpush.veloff = 0
guard.cornerpush.veloff = 0
air.cornerpush.veloff = 0
airguard.cornerpush.veloff = 0
down.cornerpush.veloff = 0
getpower = 83
givepower = 14
id = 1200
nochainid = 3000

[State 240, 2]
type = HitDef
triggerall= Animelemtime(6) = 0
triggerall = p2stateno != 5040
trigger1 = enemynear,statetype !=A
trigger2 = enemynear,movetype=H && enemynear,statetype=A && uniqhitcount<1
attr = S, NA
animtype  = Medium
damage    = 69
hitflag = MA
guardflag = L
pausetime = 9,12
sparkno = S9006
guard.sparkno = S9008
sparkxy = -10,-50
hitsound   = S12, 1
guardsound = S0,10
ground.type = Low
ground.slidetime = 16
ground.hittime  = 19
ground.velocity = -7
air.velocity = -2,-4
ground.cornerpush.veloff = 0
guard.cornerpush.veloff = 0
air.cornerpush.veloff = 0
airguard.cornerpush.veloff = 0
down.cornerpush.veloff = 0
getpower = 194
givepower = 42
persistent = 0
nochainid = 3000

[State 240, 4]
type = ChangeState
trigger1 = AnimTime = 0
value = 0
ctrl = 1

;---------------------------------------------------------------------------
; Close Standing strong kick
; CNS difficulty: easy
[Statedef 245]
type    = S
movetype= A
physics = S
juggle  = 5
ctrl = 0
velset = 0,0
anim = 245
sprpriority = 2

[State 0, Width]
type = Width
trigger1 = 1
player = 35,0
;value = 0,0
;ignorehitpause = 
;persistent = 


[State 240, 1]
type = PlaySnd
trigger1 = Time = 2
value = 0, 27

[State 200, StateTypeSet]
type = StateTypeSet
trigger1 = AnimElem = 6
movetype = I

[State 240, 2]
type = HitDef
triggerall = p2stateno != 5040
trigger1 = Time = 0
attr = S, NA
animtype  = Medium
damage    = 100
hitflag = MA
guardflag = M
pausetime = 10,12
sparkno = S9006
guard.sparkno = S9008
sparkxy = -10,-60
hitsound   = S12, 1 
guardsound = S0,10
ground.type = Low
ground.slidetime = 16
ground.hittime  = 16
ground.velocity = -7
air.velocity = -2,-4
air.hittime = 16
ground.cornerpush.veloff = 0
guard.cornerpush.veloff = 0
air.cornerpush.veloff = 0
airguard.cornerpush.veloff = 0
down.cornerpush.veloff = 0
getpower = 167
givepower = 42
nochainid = 3000

[State 240, 4]
type = ChangeState
trigger1 = AnimTime = 0
value = 0
ctrl = 1

;---------------------------------------------------------------------------
;Crouching light punch
; CNS difficulty: easy
; Description: Simple crouching attack. The HitDef's guardflag parameter
;     is set to "L", meaning that the move can only be guarded low
;     (crouching), and not by standing or jumping opponents.
;     Like for all light attacks, it's a good idea to keep the slidetime
;     and hittime parameters at a smaller number, so the opponent isn't
;     stunned for too long. For all crouching attacks you have to
;     remember to set the attr parameter to indicate that it is crouching
;     attack. In this case, "C, NA" stands for "crouching, normal attack".
;     The HitDef's priority is set at 3, instead of the default of 4,
;     so this attack has a lower priority than most others, meaning
;     KFM will get hit instead of trading hits with his opponent if
;     their attack collision boxes (Clsn1) intersect each other's Clsn2
;     boxes at the same time.
[Statedef 400]
type    = C
movetype= A
physics = N
juggle  = 5
ctrl = 0
anim = 400
sprpriority = 2

[State 200, 2]
type = PlaySnd
trigger1 = Animelem = 2
value = S2,1
channel = 0

[State 400, 1]
type = PlaySnd
trigger1 = Time = 1
value = 0, 6

[State 200, StateTypeSet]
type = StateTypeSet
trigger1 = AnimElem = 3
movetype = I

[State 400, 2]
type = HitDef
triggerall = p2stateno != 5040
trigger1 = Time = 0
attr = C, NA
damage    = 33
priority  = 3
animtype  = Light
hitflag = MAF
guardflag = M
pausetime = 10,11
sparkno = S9004
guard.sparkno = S9008
sparkxy = -10,-42
hitsound   = S12, 0  
guardsound = S0,10
ground.type = Low
ground.slidetime = 8
ground.hittime  = 6
ground.velocity = -4
air.velocity = -2,-4
ground.cornerpush.veloff = 0
guard.cornerpush.veloff = 0
air.cornerpush.veloff = 0
airguard.cornerpush.veloff = 0
down.cornerpush.veloff = 0
getpower = 56
givepower = 14
nochainid = 3000

[State 400, 3]
type = CtrlSet
trigger1 = Time = 6
value = 1

[State 400, 4]
type = ChangeState
trigger1 = AnimTime = 0
value = 11

;---------------------------------------------------------------------------
;Crouching strong punch
; CNS difficulty: easy
; Description: This is a 2-hit move. It is done by having two HitDefs
;     triggered, one for each frame of animation that hits.
;     Notice how the first hit cannot be guarded by an opponent in the
;     air, because of the "M" in the guardflag, meaning it can only
;     be guarded "middle". The second hit has an "MA" guardflag, so
;     it can be guarded both on the ground and in the air.
[Statedef 410]
type    = C
movetype= A
physics = N
juggle  = 6
ctrl = 0
anim = 410
sprpriority = 2

[State 200, 2]
type = PlaySnd
trigger1 = Animelem = 3
value = S2,0
channel = 0

[State 410, 1]
type = PlaySnd
trigger1 = Time = 1
value = 0, 6

[State 200, StateTypeSet]
type = StateTypeSet
trigger1 = AnimElem = 5
movetype = I

;This is the first hit, triggered on the 3rd element of animation.
[State 410, 2]
type = HitDef
triggerall = p2stateno != 5040
trigger1 = Time = 0
attr = C, NA
damage    = 89
animtype  = Medium
hitflag = MAF
guardflag = M
pausetime = 12,12
sparkno = S9006
guard.sparkno = S9008
sparkxy = -10,-55
hitsound   = S12, 1 
guardsound = S0,10
ground.type = Low
ground.slidetime = 14
ground.hittime  = 17
ground.velocity = -6
air.velocity = -3,-4
ground.cornerpush.veloff = 0
guard.cornerpush.veloff = 0
air.cornerpush.veloff = 0
airguard.cornerpush.veloff = 0
down.cornerpush.veloff = 0
getpower = 139
givepower = 28
nochainid = 3000

[State 410, 4]
type = ChangeState
trigger1 = AnimTime = 0
value = 11
ctrl = 1

;---------------------------------------------------------------------------
;Crouching light kick
; CNS difficulty: easy
[Statedef 430]
type    = C
movetype= A
physics = N
juggle  = 5
ctrl = 0
anim = 430
sprpriority = 2

[State 200, StateTypeSet]
type = StateTypeSet
trigger1 = AnimElem = 4
movetype = I

[State 430, 1]
type = PlaySnd
trigger1 = Time = 1
value = 0, 26

[State 430, 2]
type = HitDef
triggerall = p2stateno != 5040
trigger1 = Time = 0
attr = C, NA
damage    = 44
animtype  = Light
hitflag = MA
guardflag = L
pausetime = 12,12
sparkno = S9004
guard.sparkno = S9008
sparkxy = -5,-23
hitsound   = S12, 0  
guardsound = S0,10
ground.type = Low
ground.slidetime = 7
ground.hittime  = 8
ground.velocity = -5
air.velocity = -2,-4
ground.cornerpush.veloff = 0
guard.cornerpush.veloff = 0
air.cornerpush.veloff = 0
airguard.cornerpush.veloff = 0
down.cornerpush.veloff = 0
getpower = 83
givepower = 14
nochainid = 3000

[State 430, 3]
type = ChangeState
trigger1 = AnimTime = 0
value = 11
ctrl = 1

;---------------------------------------------------------------------------
;That Weird Breakdance Thing
; CNS difficulty: easy
[Statedef 435]
type    = C
movetype= A
physics = N
juggle  = 5
velset = 0,0
ctrl = 0
anim = 435
sprpriority = 2

[State 200, 2]
type = PlaySnd
trigger1 = Animelem = 3
value = S2,2
channel = 0

[State 0, PlaySnd]
type = PlaySnd
trigger1 = Animelem = 13
value = S0,9
channel = -1

[State 0, PlaySnd]
type = PlaySnd
trigger1 = Animelem = 5
value = S0,26
channel = -1

[State 0, PlaySnd]
type = PlaySnd
trigger1 = Animelem = 10
value = S0,27
channel = -1

[State 430, velset]
type = velset
trigger1 = animelemtime(4) = 0
x = 4

[State 430, veladd]
type = veladd
trigger1 = animelemtime(4) > 0 && !vel x < 1
x = -0.25

[State 1402, VelSet]
type = VelSet
trigger1 = AnimElemtime(7) = 0 ;This is when the first velset should be applied.
x = 0

[State 200, StateTypeSet]
type = StateTypeSet
trigger1 = AnimElem = 10
movetype = I

[State 430, 2]
type = HitDef
triggerall = p2stateno != 5040
trigger1 = Animelemtime(5) = 0
id = 435
attr = C, NA
damage    = 22
animtype  = Light
hitflag = M
guardflag = L
pausetime = 12,12
sparkno = S9004
guard.sparkno = S9008
sparkxy = -10,-10
hitsound   = S12, 0  
guardsound = S0,10
ground.type = Low
ground.slidetime = 7
ground.hittime  = 18
ground.velocity = 0
air.velocity = -2.5,-9
ground.cornerpush.veloff = 0
guard.cornerpush.veloff = 0
air.cornerpush.veloff = 0
airguard.cornerpush.veloff = 0
down.cornerpush.veloff = 0
getpower = 111
givepower = 28
nochainid = 3000

[State 430, 2]
type = HitDef
triggerall = p2stateno != 5040
trigger1 = Animelemtime(7) = 0
id = 435
attr = C, NA
damage    = 22
animtype  = Light
hitflag = M
guardflag = L
pausetime = 12,12
sparkno = S9004
guard.sparkno = S9008
sparkxy = -10,-10
hitsound   = S12, 0  
guardsound = S0,10
ground.type = Low
ground.slidetime = 7
ground.hittime  = 14
ground.velocity = 0
air.velocity = -2,-4
ground.cornerpush.veloff = 0
guard.cornerpush.veloff = 0
air.cornerpush.veloff = 0
airguard.cornerpush.veloff = 0
down.cornerpush.veloff = 0
getpower = 111
givepower = 28
nochainid = 3000

[State 430, 2]
type = HitDef
triggerall = p2stateno != 5040
trigger1 = Animelemtime(9) = 0
id = 435
attr = C, NA
damage    = 56
animtype  = Light
hitflag = M
guardflag = L
pausetime = 12,12
sparkno = S9004
guard.sparkno = S9008
sparkxy = -13,-17
hitsound   = S12, 0  
guardsound = S0,10
fall = 1
ground.type = Low
ground.slidetime = 7
ground.hittime  = 8
ground.velocity = -2.5,-9
air.velocity = -2.5,-4
ground.cornerpush.veloff = 0
guard.cornerpush.veloff = 0
air.cornerpush.veloff = 0
airguard.cornerpush.veloff = 0
down.cornerpush.veloff = 0
air.fall = 1
getpower = 111
givepower = 28
nochainid = 3000

[State 430, 3]
type = ChangeState
trigger1 = AnimTime = 0
value = 11
ctrl = 1

;---------------------------------------------------------------------------
;Crouch Strong Kick
; CNS difficulty: easy
; Description: This move uses "Trip" for the "ground.type" parameter in
;     its HitDef. It's a special type that puts the opponent in a tripped
;     animation as he falls. Also, the hitflag parameter in the HitDef
;     is set to "MAFD". The "D" indicates that a downed opponent can be
;     hit by the attack.
[Statedef 440]
type    = C
movetype= A
physics = N
juggle  = 7
poweradd= 35
ctrl = 0
anim = 440
sprpriority = 2

[State 440, 2]
type = PlaySnd
trigger1 = Time = 2 || Animelemtime(4)=0
value = 0, 27

[State 0, Width]
type = Width
trigger1 = 1
player = 35,0

[State 200, StateTypeSet]
type = StateTypeSet
trigger1 = AnimElem = 6
movetype = I

[State 440, 3]
type = HitDef
triggerall = p2stateno != 5040
trigger1 = Animelemtime(3) = 0
attr = C, NA
damage  = 44
hitflag = M
guardflag = L
pausetime = 12,12
sparkno = S9006
guard.sparkno = S9008
sparkxy = -5,-10
hitsound   = S12, 1 
guardsound = S0,10
ground.type = Low
ground.slidetime = 7
ground.hittime  = 15
ground.velocity = -1
air.velocity = -1.2,-3
ground.cornerpush.veloff = 0
guard.cornerpush.veloff = 0
air.cornerpush.veloff = 0
airguard.cornerpush.veloff = 0
down.cornerpush.veloff = 0
getpower = 83
givepower = 14
nochainid = 3000

[State 440, 3]
type = HitDef
triggerall = p2stateno != 5040
trigger1 = Animelemtime(5) = 0
attr = C, NA
damage    = 83
hitflag = M
guardflag = L
pausetime = 12,12
sparkno = S9006
guard.sparkno = S9008
sparkxy = -5,-10
hitsound   = S12, 1
guardsound = S0,10
ground.type = Low
ground.slidetime = 10
ground.hittime  = 20
ground.velocity = -1,-6
guard.velocity = -9
fall = 1
ground.cornerpush.veloff = 0
guard.cornerpush.veloff = 0
air.cornerpush.veloff = 0
airguard.cornerpush.veloff = 0
down.cornerpush.veloff = 0
getpower = 139
givepower = 28
nochainid = 3000

[State 440, 4]
type = ChangeState
trigger1 = AnimTime = 0
value = 11
ctrl = 1

;---------------------------------------------------------------------------
;Jump Light Punch
; CNS difficulty: easy
[Statedef 600]
type    = A
movetype= A
physics = A
juggle  = 2
ctrl = 0
anim = 600
sprpriority = 2

[State 200, 2]
type = PlaySnd
trigger1 = Animelem = 1
value = S2,1
channel = 0

[State 600, 1]
type = PlaySnd
trigger1 = Time = 1
value = S0, 5

[State 200, StateTypeSet]
type = StateTypeSet
trigger1 = AnimElem = 3
movetype = I

[State 600, 2]
type = HitDef
triggerall = p2stateno != 5040
trigger1 = Time = 0
attr = A, NA
damage    = 44
guardflag = HA
priority = 3
pausetime = 7,8
sparkno = S9004
guard.sparkno = S9008
sparkxy = -10,-78
hitsound   = S12, 0  
guardsound = S0,10
ground.type = High
ground.slidetime = 7
ground.hittime  = 11
ground.velocity = -2.5
air.velocity = -2,-4
air.hittime = 7
ground.cornerpush.veloff = 0
guard.cornerpush.veloff = 0
air.cornerpush.veloff = 0
airguard.cornerpush.veloff = 0
down.cornerpush.veloff = 0
getpower = 111
givepower = 28
nochainid = 3000

;---------------------------------------------------------------------------
;Jump Strong Punch
; CNS difficulty: easy
[Statedef 610]
type    = A
movetype= A
physics = A
juggle  = 4
ctrl = 0
anim = 610
sprpriority = 2

[State 200, 2]
type = PlaySnd
trigger1 = Animelem = 3
value = S2,0
channel = 0

[State 610, 2]
type = PlaySnd
trigger1 = Time = 2
value = 0, 27

[State 200, StateTypeSet]
type = StateTypeSet
trigger1 = AnimElem = 5
movetype = I

[State 610, 3]
type = HitDef
triggerall = p2stateno != 5040
trigger1 = Time = 0
attr = A, NA
damage = 78
guardflag = HA
priority = 4
pausetime = 12,12
sparkno = S9006
guard.sparkno = S9008
sparkxy = -10,-55
hitsound   = S12, 1 
guardsound = S0,10
animtype = Med
ground.type = High
ground.slidetime = 8
ground.hittime  = 16
ground.velocity = -3
air.velocity = -2,-4
ground.cornerpush.veloff = 0
guard.cornerpush.veloff = 0
air.cornerpush.veloff = 0
airguard.cornerpush.veloff = 0
down.cornerpush.veloff = 0
getpower = 194
givepower = 42
nochainid = 3000

;---------------------------------------------------------------------------
;Jump Strong Punch
; CNS difficulty: easy
[Statedef 615]
type    = A
movetype= A
physics = A
juggle  = 4
ctrl = 0
anim = 615
sprpriority = 2

[State 200, 2]
type = PlaySnd
trigger1 = Animelem = 3
value = S2,0
channel = 0

[State 610, 2]
type = PlaySnd
trigger1 = Time = 2
value = 0, 27

[State 200, StateTypeSet]
type = StateTypeSet
trigger1 = AnimElem = 5
movetype = I

[State 610, 3]
type = HitDef
triggerall = p2stateno != 5040
trigger1 = Time = 0
attr = A, NA
damage = 78
guardflag = HA
priority = 4
pausetime = 12,12
sparkno = S9006
guard.sparkno = S9008
sparkxy = -10,-55
hitsound   = S12, 1 
guardsound = S0,10
animtype = Med
ground.type = High
ground.slidetime = 8
ground.hittime  = 16
ground.velocity = -3
air.velocity = -2,-4
ground.cornerpush.veloff = 0
guard.cornerpush.veloff = 0
air.cornerpush.veloff = 0
airguard.cornerpush.veloff = 0
down.cornerpush.veloff = 0
getpower = 194
givepower = 42
nochainid = 3000

;---------------------------------------------------------------------------
;Jump Light Kick
; CNS difficulty: easy
[Statedef 630]
type    = A
movetype= A
physics = A
juggle  = 3
ctrl = 0
anim = 630
sprpriority = 2

[State 630, 1]
type = PlaySnd
trigger1 = Time = 1
value = S0, 26

[State 200, StateTypeSet]
type = StateTypeSet
trigger1 = AnimElem = 4
movetype = I

[State 630, 2]
type = HitDef
triggerall = p2stateno != 5040
trigger1 = Time = 0
attr = A, NA
damage = 56
guardflag = HA
priority = 3
pausetime = 8,8
sparkno = S9004
guard.sparkno = S9008
sparkxy = -5,-45
hitsound   = S12, 0  
guardsound = S0,10
ground.type = High
ground.slidetime = 10
ground.hittime  = 10
ground.velocity = -5
air.velocity = -2,-4
air.hittime = 8
ground.cornerpush.veloff = 0
guard.cornerpush.veloff = 0
air.cornerpush.veloff = 0
airguard.cornerpush.veloff = 0
down.cornerpush.veloff = 0
givepower = 28
getpower = 56
nochainid = 3000

;---------------------------------------------------------------------------
;Jump Strong Kick
; CNS difficulty: easy
[Statedef 640]
type    = A
movetype= A
physics = A
juggle  = 4
ctrl = 0
anim = 640
sprpriority = 2

[State 640, 2]
type = PlaySnd
trigger1 = Time = 2
value = 0, 27

[State 200, StateTypeSet]
type = StateTypeSet
trigger1 = AnimElem = 3
movetype = I

[State 640, 3]
type = HitDef
triggerall = p2stateno != 5040
trigger1 = Time = 0
attr = A, NA
damage    = 89
guardflag = HA
priority = 4
pausetime = 12,12
sparkno = S9006
guard.sparkno = S9008
sparkxy = -10,-40
hitsound   = S12, 1 
guardsound = S0,10
animtype = Med
ground.type = High
ground.slidetime = 15
ground.hittime  = 16
ground.velocity = -4
air.velocity = -2,-4
ground.cornerpush.veloff = 0
guard.cornerpush.veloff = 0
air.cornerpush.veloff = 0
airguard.cornerpush.veloff = 0
down.cornerpush.veloff = 0
getpower = 194
givepower = 42
nochainid = 3000

;---------------------------------------------------------------------------
;Jump Strong Kick Moving
; CNS difficulty: easy
[Statedef 645]
type    = A
movetype= A
physics = A
juggle  = 4
ctrl = 0
anim = 645
sprpriority = 2

[State 640, 2]
type = PlaySnd
trigger1 = Time = 2
value = 0, 27

[State 200, StateTypeSet]
type = StateTypeSet
trigger1 = AnimElem = 4
movetype = I

[State 640, 3]
type = HitDef
triggerall = p2stateno != 5040
trigger1 = Time = 0
attr = A, NA
damage    = 89
guardflag = HA
priority = 4
pausetime = 12,12
sparkno = S9006
guard.sparkno = S9008
sparkxy = -10,-40
hitsound   = S12, 1 
guardsound = S0,10
animtype = Med
ground.type = High
ground.slidetime = 15
ground.hittime  = 16
ground.velocity = -4
air.velocity = -2,-4
ground.cornerpush.veloff = 0
guard.cornerpush.veloff = 0
air.cornerpush.veloff = 0
airguard.cornerpush.veloff = 0
down.cornerpush.veloff = 0
getpower = 194
givepower = 42
nochainid = 3000

;--------------------------------------------------------------------------
;Evade
[Statedef 700]
type = S
movetype = I
physics = N
anim = 700
velset = 0,0
ctrl = 0
poweradd = 0
juggle = 0
facep2 = 0
hitdefpersist = 0
movehitpersist = 0
hitcountpersist = 0
sprpriority = 0

[State don't fall through the floor please]
type = posset
trigger1 = pos y >= 0
y = 0

[State Farts]
type = SprPriority
trigger1 = (Vel X != 0)
trigger1 = Time > 1
value = -2

[State Can't touch this]
type = NotHitBy
trigger1 = 1
value = , NA, SA, HA, NP, SP, HP

[State End]
type = ChangeState
trigger1 = (AnimTime = 0)
value = 0
ctrl = 1
;--------------------------------------------------------------------------
;Roll Fwd
[Statedef 705]
type = S
movetype = I
physics = N
anim = 705
velset = 0,0
ctrl = 0
poweradd = 0
juggle = 0
facep2 = 0
hitdefpersist = 0
movehitpersist = 0
hitcountpersist = 0
sprpriority = 0

[State don't fall through the floor please]
type = posset
trigger1 = pos y >= 0
y = 0

[State Farts]
type = SprPriority
trigger1 = (Vel X != 0)
trigger1 = Time > 1
value = -2

[State 0, VelSet]
type = VelSet
trigger1 = !time
x = 4

[State Can't touch this]
type = NotHitBy
trigger1 = (Time < 20)
value = , NA, SA, HA, NP, SP, HP

[State 0, VelSet]
type = VelSet
trigger1 = animelem = 7
x = 0

[State ****: PlayerPush]
type = PlayerPush
trigger1 = (Vel X != 0)
value = 0

[State 0, CtrlSet]
type = CtrlSet
trigger1 = Animelemtime(9) = 1
value = 1
ignorehitpause = 1
persistent = 0


[State End]
type = ChangeState
trigger1 = (AnimTime = 0)
value = 0
ctrl = 1
;--------------------------------------------------------------------------
;Roll Back
[Statedef 706]
type = S
movetype = I
physics = N
anim = 706
velset = 0,0
ctrl = 0
poweradd = 0
juggle = 0
facep2 = 0
hitdefpersist = 0
movehitpersist = 0
hitcountpersist = 0
sprpriority = 0

[State don't fall through the floor please]
type = posset
trigger1 = pos y >= 0
y = 0

[State Farts]
type = SprPriority
trigger1 = (Vel X != 0)
trigger1 = Time > 1
value = -2

[State 0, VelSet]
type = VelSet
trigger1 = !time
x = -4

[State ****: AfterImage]
type = AfterImage
trigger1 = (Vel X != 0) && time >=5
time = 20
timegap = 2
framegap = 4
length = 15
paladd = 0, 0, 0
palmul = .50, .50, .50
palcontrast = 100,100,100
trans = add
persistent = 0

[State Can't touch this]
type = NotHitBy
trigger1 = (Time < 20)
value = , NA, SA, HA, NP, SP, HP

[State 0, VelSet]
type = VelSet
trigger1 = animelem = 6
x = 0

[State ****: PlayerPush]
type = PlayerPush
trigger1 = (Vel X != 0)
value = 0

[State 0, CtrlSet]
type = CtrlSet
trigger1 = Animelemtime(9) = 1
value = 1
ignorehitpause = 1
persistent = 0

[State End]
type = ChangeState
trigger1 = (AnimTime = 0)
value = 0
ctrl = 1

;---------------------------------------------------------------------------
;Kung Fu Throw - Attempt
; CNS difficulty: medium-advanced
; Description: Throws are not difficult to make, although then can be
;     tedious at times. Throw attempt states have a HitDef of a
;     special format. The key parameters in a throw are p1stateno
;     and p2stateno. If the HitDef successfully connects, then
;     the attacker will change to the state number specified by
;     p1stateno, and the opponent will be change to the state
;     number assigned to p2stateno. The special thing about p2stateno
;     is that the opponent will be temporarily brought into the
;     attacker's state file. In this case, no matter who the
;     opponent is, he will be taken to state 820 of this file (kfm.cns)
;     and remain here until the end of the throw (look at his debug
;     information when he is being thrown; the text changes to yellow
;     to mean that he is in another player's state file).
[Statedef 800]
type    = S
movetype= A
physics = S
juggle  = 0
velset = 0,0
ctrl = 0
anim = 800
sprpriority = 2

; Notes: The '-' symbol in the hitflag field means that it only affects
;   players who are not in a hit state. This prevents KFM from combo-ing
;   into the throw. The priority should be set to a low number, such as
;   1 or 2, so that the throw does not take precedence over normal attacks.
;   The type of priority must always be set to "Miss" or "Dodge" for throws,
;   otherwise strange behavior can result.
[State 800, 1]
type = HitDef
Trigger1 = Time = 0
attr = S, NT          ;Attributes: Standing, Normal Throw
hitflag = M-          ;Affect only ground people who are not being hit
priority = 1, Miss    ;Throw has low priority, must be miss or dodge type.
sparkno = -1         ;No spark
p1sprpriority = 1     ;Draw p1's sprite in front of p2
                      ;p2's sprite priority is set to 0 by default
p1facing = 1
p2facing = 1          ;Force p2 to face KFM
p1stateno = 810       ;On success, KFM changes to state 810
p2stateno = 820       ;If hit, p2 changes to state 820 in KFM's cns
guard.dist = 0        ;This prevents p2 from going into a guard state if close
fall = 1              ;Force p2 into falling down

[State 800, 2]
type = ChangeState
Trigger1 = AnimTime = 0
value = 215
ctrl = 0

;---------------------------------------------------------------------------
;Kung Fu Throw - Throwing the opponent
; Description: In this state, KFM throws the opponent by binding him to
;     various offsets based on his current frame of animation. For
;     example, [State 810, Bind 1] binds the opponent to an offset of
;     28 pixels in front of KFM. That puts him around where KFM's hand
;     is at. Is is important to keep the opponent bound using a
;     TargetBind controller at all times, until you let him go. This
;     is especially important if your player has a Clsn2 box that
;     allows him to get hit while throwing someone. Each time a player
;     gets hit, all his bound targets will be set to a fall state. If
;     the opponent is not bound, then he may get stuck in his thrown
;     state when his attacker is knocked out of the throw halfway.
; Notes: There is a TargetLifeAdd controller to decrease the opponent's
;     life, and a TargetState controller to change his state to a
;     falling state when KFM lets go of him.
[Statedef 810]
type    = S
movetype= A
physics = N
anim = 810
poweradd = 0

[State 0, Explod]
type = explod
trigger1 = Animelemtime(1) = 1
anim = 9009
ID = 9009
pos = 40,-70
postype = p1 ;p2,front,back,left,right
facing = 1
vfacing = 1
bindtime = 1
vel = 0,0
accel = 0,0
random = 0,0
removetime = -2
pausemovetime = 0
scale = 1,1
sprpriority = 0
ontop = 1
shadow = 0,0,0
ownpal = 1
removeongethit = 0
persistent = 0

; Here a variable, var(2), is used to remember whether or not the
; player was holding forward at the start of the state. This variable
; is checked later on to turn KFM around if necessary.
[State 810, Holding fwd?]
type = VarSet
trigger1 = Time = 0
var(2) = command = "holdback"

[State 810, Grab Sound]
type = PlaySnd
trigger1 = AnimElem = 1
value = 1, 1

[State 810, Throw Sound]
type = PlaySnd
trigger1 = AnimElem = 2
value = 180,0
channel = 0

[State 0, EnvShake]
type = EnvShake
trigger1 = Animelem = 6
time = 10
freq = 60
ampl = -8
phase = 90
ignorehitpause = 1 
;persistent = 


[State 810, Grab Sound]
type = PlaySnd
trigger1 = AnimElem = 6
value = 12, 1

[State 810, Bind 1]
type = TargetBind
trigger1 = AnimElemTime(1) < 0
pos = 30, 0

[State 810, Bind 2-4]
type = TargetBind
trigger1 = AnimElemTime(1) >= 0 && AnimElemTime(2) < 0
pos = 30, 0

[State 810, Bind 2-4]
type = TargetBind
trigger1 = AnimElemTime(2) >= 0 && AnimElemTime(3) < 0
pos = 30, -90

[State 810, Bind 5]
type = TargetBind
trigger1 = AnimElemTime(3) >= 0 && AnimElemTime(4) < 0
pos = 39, -79

[State 810, Bind 5]
type = TargetBind
trigger1 = AnimElemTime(4) >= 0 && AnimElemTime(5) < 0
pos = 67, -37

[State 810, Bind 5]
type = TargetBind
trigger1 = AnimElemTime(5) >= 0 && AnimElemTime(6) < 0
pos = 62, 0

[State 810, Bind 5]
type = TargetBind
trigger1 = AnimElemTime(6) >= 0
pos = 62, 0

[State 0, Explod]
type = Explod
trigger1 = Animelem = 6
anim = 9006
ID = 9006
pos = 60,0
postype = p1  ;p2,front,back,left,right
facing = 1
vfacing = 1
bindtime = 1
vel = 0,0
accel = 0,0
random = 0,0
removetime = -2
pausemovetime = 0
scale = 1,1
sprpriority = 0
ontop = 1
shadow = 0,0,0
ownpal = 1
removeongethit = 0


[State 810, holdfwd - Turn 6] ;If was holding fwd before, turn now
type = Turn
trigger1 = var(2)
trigger1 = AnimElem = 1

[State 810, holdfwd - Pos 6] ;If was holding fwd before, move a little
type = PosAdd
trigger1 = var(2)
trigger1 = AnimElem = 1
x = -37

[State 810, holdfwd - Turn Target 6] ;If was holding fwd before, turn target too
type = TargetFacing
trigger1 = var(2)
trigger1 = AnimElem = 1
value = -1

[State 810, Hurt 11]
type = TargetLifeAdd
trigger1 = AnimElem = 6
value = -111

[State 810, Throw 11]
type = TargetState
trigger1 = AnimTime = 0
value = 821

[State 810, State End]
type = ChangeState
trigger1 = AnimTime = 0
value = 0
ctrl = 1

;---------------------------------------------------------------------------
;Thrown by Kung Fu Throw
; (a custom gethit state)
; Description: This is the state that the opponent changes to after being
;     hit by KFM's throw HitDef. The important thing here is to use a
;     ChangeAnim2 controller. The difference between ChangeAnim2 and
;     ChangeAnim is that ChangeAnim2 changes the player's animation to
;     an action in the AIR file of the attacker (in this case, kfm.air),
;     whereas ChangeAnim always changes the player to an action in his
;     own AIR file. Look at Action 820 in kfm.air for some extra
;     comments.
[Statedef 820]
type    = A
movetype= H
physics = N
velset = 0,0

[State 820, 1]
type = ChangeAnim2
Trigger1 = Time = 0
value = 820

;In case attacker loses binding on player for any reason, this controller
;guarantees that the player will never get stuck in this thrown state.
[State 820, 2]
type = SelfState
trigger1 = !gethitvar(isbound)
value = 5050

;---------------------------------------------------------------------------
;Thrown by Kung Fu Throw - thrown into the air
; (a custom gethit state)
; Description: This state has the opponent flying through the air and
;     falling down onto the ground. The SelfState controller sets the
;     opponent back using to his own state file when he his the ground.
;     Controllers 821,2 and 821,3 allow the opponent to recover by
;     hitting his recovery command when he is falling.
[Statedef 821]
type    = A
movetype= H
physics = N
velset = -4,-3
poweradd = 40

[State 821, 1] ;Gravity
type = VelAdd
Trigger1 = 1
y = .5

[State 821, 4] ;Hit ground
type = SelfState
trigger1 = Vel Y > 0
trigger1 = Pos Y >= 0
value = 5100 ;Hit ground
;----------------------------------------------------------------------------
;Wall Bouncy no Jutsu
[Statedef 1240]
type    = S
movetype= A
physics = S
juggle  = 15
poweradd= -1000
velset = 0,0
anim = 1240
ctrl = 0
sprpriority = 2

[State 0, Pause]
type = Pause
trigger1 = Time = 0
time = 12
movetime = 12
;endcmdbuftime = 0
;pausebg = 1
;ignorehitpause = 
;persistent = 


[State 0, NotHitBy]
type = NotHitBy
trigger1 = 1
value = SCA;,NA,SA,HA,NP,SP,HP,NT,ST,HT
;time = 60
ignorehitpause = 1
persistent = 0

[State 3000, 1]
type = PlaySnd
trigger1 = AnimElem = 1
value = 5,7
channel = 0

[State 0, PalFX]
type = PalFX
trigger1 = time%2 = 1
time = 1
add = 140,20,20
ignorehitpause = 1

[State 220]
type = assertspecial
trigger1 = 1
flag = unguardable

[State 1200, Shake Screen]
type = EnvShake
trigger1 = AnimElem = 5
time = 10     ;Time to shake screen
ampl = 6     ;Amount to shake
freq = 90   ;A frequency of 180 shakes the screen rapidly

[State 1200, 2]
type = HitDef
trigger1 = Time = 0
attr = S, SA
animtype  = Hard
pausetime = 30,30
damage    = 55, 11
sparkno = s9007
priority  = 5
guardflag = MA
pausetime = 12,12
guard.sparkno = S4005
sparkxy = -8,-69
hitsound   = S0, 12
ground.type = Low
ground.slidetime = 16
nochainid = 3000
ground.hittime  = 18
ground.velocity = -12
ground.cornerpush.veloff = -12 ;To push far away when p2 is in corner
guard.velocity = 0
air.velocity = -12,0
airguard.velocity = -3.5,-4.5
p2facing = 1
getpower = 55*(!var(56)), 55*(!var(56))
givepower = 0,0

[State 1020, 7]
type = TargetState
trigger1 = MoveHit
trigger1 = NumTarget
value = 1221
persistent = 0
ignorehitpause = 1

[State 1200, 3]
type = ChangeState
trigger1 = AnimTime = 0
value = 0
ctrl = 1
;------------------------------------------------------------------------------
; Hit by Fast Kung Fu Palm - shaking from the hit
; (a custom gethit state)
; See State 1020 for details
[Statedef 1221]
type    = A
movetype= H
physics = N
velset = 0,0

[State 4110, PlayerPush]
type = PlayerPush
trigger1 = 1
value = 0

[State 4110, NotHitBy]
type = NotHitBy
trigger1 = 1
value = SCA

[State 6020,posadd]
type = posadd
trigger1 = Time < 22
x = IfElse(Time % 2 = 0,1,-1)

[State 1025, Anim] ;Custom animation
type = ChangeAnim2
Trigger1 = !time
value = 1223

;[State 1025, State]
;type = ChangeState
;trigger1 = HitShakeOver = 1
;value = 1223

[State 6020,velset]
type = velset
trigger1 = Time = 22
x = -12

[State 6020,ChangeState]
type = ChangeState
trigger1 = Time > 22
trigger1 = BackEdgeDist < 15
value = 1225

;------------------
; Hit by Fast Kung Fu Palm - flying through the air
; (a custom gethit state)
;[Statedef 1223]
;type    = A
;movetype= H
;physics = N
;velset = 12, 0


;[State 1025, Anim] ;Custom animation
;type = ChangeAnim2
;Trigger1 = Anim != 1224
;value = 1223

;[State 1026, Velocity]
;type = HitVelSet
;trigger1 = Time = 0
;x = 1
;y = 0

;[State 1026, Gravity]
;type = VelAdd
;trigger1 = 1
;y = .45

;[State 1026, No scroll]
;type = ScreenBound
;triggerall = Pos y < -15
;trigger1 = BackEdgeBodyDist < 65
;trigger2 = FrontEdgeBodyDist < 65
;value = 1
;movecamera = 0,0

;[State 1026, Hit wall]
;type = ChangeState
;triggerall = Pos y < -15
;trigger1 = BackEdgeBodyDist <= 30
;trigger2 = FrontEdgeBodyDist <= 30
;value = 1225

;[State 1026, Hit ground]
;type = SelfState
;trigger1 = (Vel y > 0) && (Pos y >= 0)
;value = 5100

;------------------
; Hit by Fast Kung Fu Palm - hit wall
; (a custom gethit state)
[Statedef 1225]
type    = A
movetype= H
physics = N

[State arh]
type = velset
trigger1 = 1
x = 0

[State 1025, Anim] ;Custom animation
type = ChangeAnim2
Trigger1 = time = 0;Anim != 1226
value = 1225

[State 1027, Turn]
type = Turn
trigger1 = (Time = 0) && (FrontEdgeBodyDist <= 30)

;[State 1027, Pos]
;type = PosAdd
;trigger1 = Time = 0
;x = 15 - BackEdgeBodyDist

[State 1027, Stop moving]
type = PosFreeze
trigger1 = 1
x = 1
y = 1

[State 1027, No scroll]
type = ScreenBound
trigger1 = 1
value = 1
movecamera = 0,0

[State 1027, Spark]
type = Explod
trigger1 = Time = 0
anim = F72
pos = 0, floor (screenpos y) - 50
postype = back
sprpriority = 3

;[State 1027, Anim]
;type = ChangeAnim2
;trigger1 = Time = 0
;value = 1225

;[State 1027, Anim]
;type = ChangeAnim2
;trigger1 = Time = 0
;trigger1 = Name = "Gill"
;trigger1 = Authorname = "GM"
;trigger1 = Facing = -1
;value = 1226

[State 1027, Sound]
type = PlaySnd
trigger1 = Time = 0
value = F7,0

[State 1027, State]
type = ChangeState
trigger1 = AnimTime = 0
value = 1228

;------------------
; Hit by Fast Kung Fu Palm - bounce off wall
; (a custom gethit state)
[Statedef 1228]
type    = A
movetype= H
physics = N

[State argh]
type = velset
trigger1 = 1
x = 0

[State 1028, 1]
type = NotHitBy
trigger1 = 1
value = , NA, NP

[State 1028, Gravity]
type = gravity
trigger1 = 1

[State 1028, Anim 5050] ;Self falling animation
type = ChangeAnim
trigger1 = Time = 0
trigger1 = !SelfAnimExist(5052)
value = 5050

[State 1028, Anim 5052] ;Self falling animation (diagup type)
type = ChangeAnim
trigger1 = Time = 0
trigger1 = SelfAnimExist(5052)
value = 5052

[State 1028, Anim 5060] ;Coming down - normal
type = ChangeAnim
trigger1 = Vel Y > -2
trigger1 = Anim = 5050
trigger1 = SelfAnimExist(5060)
persistent = 0
value = 5060

[State 1028, Anim 5062] ;Coming down - diagup type
type = ChangeAnim
trigger1 = Vel Y > -2
trigger1 = Anim = 5052
trigger1 = SelfAnimExist(5062)
persistent = 0
value = 5062

[State 1028, Hit ground]
type = SelfState
trigger1 = (Vel y > 0) && (Pos y >= 0)
value = 5100
;-----------------------------------------------------------------
;MORE COPY-PASTE LIKE YOU DIDN'T SEE THAT COMING
[Statedef 1260]
type    = S
movetype= A
physics = N
juggle  = 15
poweradd= 0
velset = 0,0
anim = 1260
ctrl = 0
sprpriority = 2

[State 0, PlaySnd]
type = PlaySnd
trigger1 = Animelemtime(3) = 0
value = S2,3
channel = 0

[State 0, NotHitBy]
type = NotHitBy
trigger1 = Animelemtime(1) >= 1 && Animelemtime(3) <= 1
value = SCA;,NA,SA,HA,NP,SP,HP,NT,ST,HT
time = 10
ignorehitpause = 1
persistent = 0

[State 3000, 1]
type = PlaySnd
trigger1 = AnimElem = 1
value = 5,7
channel = 0

[State 0, DisplayToClipboard]
type = DisplayToClipboard
trigger1 = 1
text = "vel x = %f"
params = vel x
;ignorehitpause = 
;persistent = 

[State 0, VelSet]
type = VelSet
trigger1 = Animelemtime(2) >= 0 && Animelemtime(3) <= 3
x = 3.5

[State 0, VelAdd]
type = VelAdd
trigger1 = Animelemtime(4) >= 0 && Animelemtime(4) <= 5
x = -0.25

[State 0, VelSet]
type = VelSet
trigger1 = Animelemtime(4) = 6
x = 0

[State 1200, 2]
type = HitDef
trigger1 = Time = 0
attr = S, SA
animtype  = Hard
pausetime = 30,30
damage    = 100
sparkno = s9007
guard.sparkno = S9008
priority  = 5
guardflag = MA
pausetime = 12,12
guard.pausetime = 6,6
guard.sparkno = S4005
sparkxy = -8,-66
hitsound   = S0, 12
guardsound = S0,10
ground.type = Low
ground.slidetime = 16
nochainid = 3000
ground.hittime  = 18
ground.velocity = -12
ground.cornerpush.veloff = -12 ;To push far away when p2 is in corner
guard.velocity = -7
air.velocity = -12
airguard.velocity = -3.5,-4.5
p2facing = 1
getpower = 55*(!var(56)), 55*(!var(56))
givepower = 0,0

[State 1020, 7]
type = TargetState
trigger1 = MoveHit
trigger1 = NumTarget
value = 1221
persistent = 0
ignorehitpause = 1

[State 1200, 3]
type = ChangeState
trigger1 = AnimTime = 0
value = 0
ctrl = 1