
;---------------------------------------------------------------------------
; Parafuso (Light)
[Statedef 1000]
type    = A
movetype= A
physics = N
juggle  = 15
poweradd = 139
anim = 1000
ctrl = 0
sprpriority = 2

[State 200, StateTypeSet]
type = StateTypeSet
trigger1 = AnimElem = 13
movetype = I

[State 0, PlaySnd]
type = PlaySnd
trigger1 = Time = 0
value = S5,0
channel = 0
freqmul = 1.0
loop = 0
pan = 0

[State 1100, 1]
type = PlaySnd
trigger1 = AnimElem = 4 || AnimElem = 7
value = 0,26

[State 1100, 1]
type = PlaySnd
trigger1 = AnimElem = 12
value = 0,27


[State 1000]
type = Velset
trigger1 = animelemtime(1) = 0
x = 4
y = -2

[State 1000, veladd]
type = veladd
triggerall = anim = 1000
trigger1 = animelemtime(1) > 0
x = -0.0625
y = 0.0625

[State 1000, 6] ;Opponent not near
type = HitDef
trigger1 = AnimElemTime(4) = 0
attr = S, SA
animtype  = Hard
damage    = 28, 6
priority  = 4
guardflag = MA
pausetime = 15,15
sparkno = S9007
guard.sparkno = S9008
sparkxy = -10,-60
hitsound   = S12, 2
guardsound = S0,10
ground.type = Low
ground.slidetime = 12
ground.hittime  = 8
ground.velocity = -4
air.velocity = -1.5,-6
getpower = 70
givepower = 14
nochainid = 3000
id = 1000
air.juggle = 15

[State 1000, 6] ;Opponent not near
type = HitDef
trigger1 = AnimElemTime(7) = 0
attr = S, SA
animtype  = Back
damage    = 28, 6
priority  = 4
guardflag = MA
pausetime = 15,15
sparkno = S9007
guard.sparkno = S9008
sparkxy = -10,-60
hitsound   = S12, 2
guardsound = S0,10
ground.type = Low
ground.slidetime = 12
ground.hittime  = 8
ground.velocity = -1.5,-6
air.velocity = -1.5,-6
getpower = 70
givepower = 14
nochainid = 3000
air.juggle = 15

[State 1000, 6] ;Opponent not near
type = HitDef
trigger1 = AnimElemTime(12) = 0
attr = S, SA
animtype  = Up
damage    = 56, 12
priority  = 4
guardflag = MA
pausetime = 15,15
sparkno = S9007
guard.sparkno = S9008
sparkxy = -10,-60
hitsound   = S12, 2
guardsound = S0,10
ground.type = Low
ground.slidetime = 12
ground.hittime  = 8
ground.velocity = -2.5,-9
air.velocity = -2.5,-9
getpower = 70
givepower = 14
id = 1000
fall = 1
nochainid = 3000
air.juggle = 15
fall.recover = 0

[State 1000, 7]
type = ChangeState
trigger1 = AnimTime = 0
value = 1005
ctrl = 0

;---------------------------------------------------------------------------
;Parafuso Landing State
[Statedef 1005]
type = A
movetype = I
physics = N
anim = 1005
ctrl = 0

[State 1005]
type = velset
trigger1 = animelemtime(1) = 0
x = 0

[State 1005]
type = veladd
trigger1 = animelemtime(1) >= 1
y = 0.5

[State 1005]
type= changestate
trigger1= vel y > 0
trigger1= pos y > -vel y
value = 52
ctrl = 0
;---------------------------------------------------------------------------
; Parafuso (Strong)
[Statedef 1010]
type    = A
movetype= A
physics = N
poweradd = 139
anim = 1000
ctrl = 0
sprpriority = 2
juggle  = 15

[State 0]
type = playerpush
trigger1 = 1
value = 1

[State 0, PlaySnd]
type = PlaySnd
trigger1 = Time = 0
value = S5,0
channel = 0
freqmul = 1.0
loop = 0
pan = 0

[State 1100, 1]
type = PlaySnd
trigger1 = AnimElem = 4 || AnimElem = 7
value = 0,26

[State 1100, 1]
type = PlaySnd
trigger1 = AnimElem = 12
value = 0,27

[State 1000]
type = Velset
trigger1 = animelemtime(1) = 0
x = 6
y = -2

[State 1000, veladd]
type = veladd
triggerall = anim = 1000
trigger1 = animelemtime(1) > 0
x = -0.0625
y = 0.06640625

[State 200, StateTypeSet]
type = StateTypeSet
trigger1 = AnimElem = 13
movetype = I

[State 1000, 6] ;Opponent not near
type = HitDef
trigger1 = AnimElemTime(4) = 0
attr = S, SA
animtype  = Hard
damage    = 28, 6
priority  = 4
guardflag = MA
pausetime = 15,15
sparkno = S9007
guard.sparkno = S9008
sparkxy = -10,-60
hitsound   = S12, 2
guardsound = S0,10
ground.type = Low
ground.slidetime = 12
ground.hittime  = 8
ground.velocity = -4
air.velocity = -1.5,-6
getpower = 70
givepower = 14
nochainid = 3000
air.juggle = 15
id = 1000

[State 1000, 6] ;Opponent not near
type = HitDef
trigger1 = AnimElemTime(7) = 0
attr = S, SA
animtype  = Hard
damage    = 28, 6
priority  = 4
guardflag = MA
pausetime = 15,15
sparkno = S9007
guard.sparkno = S9008
sparkxy = -10,-60
hitsound   = S12, 2
guardsound = S0,10
ground.type = Low
ground.slidetime = 12
ground.hittime  = 8
ground.velocity = -1.5,-6
air.velocity = -1.5,-6
getpower = 70
givepower = 14
nochainid = 3000
id = 1000

[State 1000, 6] ;Opponent not near
type = HitDef
trigger1 = AnimElemTime(12) = 0
attr = S, SA
animtype  = Hard
damage    = 56, 12
priority  = 4
guardflag = MA
pausetime = 15,15
sparkno = S9007
guard.sparkno = S9008
sparkxy = -10,-60
hitsound   = S12, 2
guardsound = S0,10
ground.type = Low
ground.slidetime = 12
ground.hittime  = 8
ground.velocity = -2.5,-9
air.velocity = -2.5,-9
getpower = 70
givepower = 14
fall = 1
nochainid = 3000
air.juggle = 15
id = 1000
fall.recover = 0

[State 1000, 7]
type = ChangeState
trigger1 = AnimTime = 0
value = 1005
ctrl = 0
;---------------------------------------------------------------------------
; Flying Dance (Light)
[Statedef 1100]
type    = A
movetype= A
physics = N
juggle  = 15
poweradd= 139
velset = 0,0
anim = 1100
ctrl = 0
sprpriority = 2
hitcountpersist = 1

[State 0, PlaySnd]
type = PlaySnd
trigger1 = time = 0
value = 5,2
channel = 0

[State 1000]
type = Velset
trigger1 = animelemtime(1) = 0
x = 2
y = -4

[State 1000, veladd]
type = veladd
triggerall = anim = 1100
trigger1 = animelemtime(1) > 0
x = -0.0625
y = 0.1875

[State 200, StateTypeSet]
type = StateTypeSet
trigger1 = AnimElem = 5
movetype = I

[State 1100, 1]
type = PlaySnd
trigger1 = AnimElem = 2|| AnimElem = 4
value = 0,27

[State 1100, 2]
type = HitDef
trigger1 = AnimElemtime(2) >= 0 && Animelemtime(2) <= 4
attr = S, SA
animtype  = Med
damage    = 44, 4
priority  = 5
guardflag = MA
pausetime = 20,20
sparkno = S9007
guard.sparkno = S9008
sparkxy = 0,-48
hitsound   = S12, 2
guardsound = S0,10
ground.type = Low
ground.slidetime = 15
ground.hittime  = 20
ground.velocity = -1.5,-6
guard.velocity = -6
air.velocity = -2,-2
airguard.velocity = -4,-4.5
fall = 1
p2facing = 1
getpower = 69
givepower = 14
nochainid = 3000
air.juggle = 15
persistent = 0

[State 1100, 3]
type = HitDef
trigger1 = AnimElemtime(4) >= 0 && Animelemtime(4) <= 6
attr = S, SA
animtype  = Up
damage    = 67, 4
priority  = 5
guardflag = MA
pausetime = 12,12
sparkno = S9007
guard.sparkno = S9008
sparkxy = 0,-48
hitsound   = S12, 2
guardsound = S0,10
ground.type = Low
ground.slidetime = 15
ground.hittime  = 20
ground.velocity = -1.5,-6
guard.velocity = -6
air.velocity = -1,-7.5
airguard.velocity = -4,-4.5
p2facing = 1
fall = 1                   ;Make p2 fall down
getpower = 139
givepower = 14
nochainid = 3000
air.juggle = 15
fall.recover = 0
persistent = 0

[State 1100,0]
type = Changestate
trigger1 = var(11) = 1 && Animelemtime(4) = 2
value = 1150

[State 1100, 5]
type = ChangeState
trigger1 = AnimTime = 0
value = 1105
ctrl = 1

;---------------------------------------------------------------------------
;Flying Dance Land State
[Statedef 1105]
type = A
movetype = I
physics = N
anim = 1105
ctrl = 0

[State VARS]
type = varset
trigger1 = time = 0
v = 11
value = 0

[State 1005]
type = velset
trigger1 = animelemtime(1) = 0
x = 0

[State 1005]
type = veladd
trigger1 = animelemtime(1) >= 1
y = 0.5

[State 1005]
type= changestate
trigger1= vel y > 0
trigger1= pos y > -vel y
value = 52
ctrl = 0

;---------------------------------------------------------------------------
; Flying Dance (strong)
[Statedef 1110]
type    = A
movetype= A
physics = N
juggle  = 15
poweradd= 139
velset = 0,0
anim = 1100
ctrl = 0
sprpriority = 2

[State 0, PlaySnd]
type = PlaySnd
trigger1 = time = 0
value = 5,2
channel = 0

[State 1000]
type = Velset
trigger1 = animelemtime(1) = 0
x = 2
y = -4

[State 1000, veladd]
type = veladd
triggerall = anim = 1100
trigger1 = animelemtime(1) > 0
x = -0.0390625
y = 0.08203125

[State 1100, 1]
type = PlaySnd
trigger1 = AnimElem = 2|| AnimElem = 4
value = 0,27

[State 1100, 2]
type = HitDef
trigger1 = AnimElemtime(2) >= 0 && Animelemtime(2) <= 4
attr = S, SA
animtype  = Med
damage    = 44, 4
priority  = 5
guardflag = MA
pausetime = 20,20
sparkno = S9007
guard.sparkno = S9008
sparkxy = 0,-48
hitsound   = S12, 2
guardsound = S0,10
ground.type = Low
ground.slidetime = 15
ground.hittime  = 20
ground.velocity = -1.5,-6
guard.velocity = -6
air.velocity = -2,-2
airguard.velocity = -4,-4.5
fall = 1
p2facing = 1
getpower = 69
givepower = 14
nochainid = 3000
air.juggle = 15
fall.recover = 0
persistent = 0

[State 1100, 3]
type = HitDef
trigger1 = AnimElemtime(4) >= 0 && Animelemtime(4) <= 6
attr = S, SA
animtype  = Up
damage    = 67, 4
priority  = 5
guardflag = MA
pausetime = 12,12
sparkno = S9007
guard.sparkno = S9008
sparkxy = 0,-48
hitsound   = S12, 2
guardsound = S0,10
ground.type = Low
ground.slidetime = 15
ground.hittime  = 20
ground.velocity = -1.5,-6
guard.velocity = -6
air.velocity = -1.5,-6
airguard.velocity = -4,-4.5
p2facing = 1
fall = 1                   ;Make p2 fall down
getpower = 139
givepower = 14
nochainid = 3000
air.juggle = 15
fall.recover = 0
persistent = 0

[State 1100,0]
type = Changestate
trigger1 = var(11) = 1 && Animelemtime(5) = 0
value = 1150
ignorehitpause = 1

[State 1100, 5]
type = ChangeState
trigger1 = AnimTime = 0
value = 1105
ctrl = 1
;---------------------------------------------------------------------------
;Flying Dance WRANCH hit
[Statedef 1150]
type = A
movetype = A
physics = N
juggle = 15
velset = 0,0
anim = 1150
ctrl = 0

[State 0, AssertSpecial]
type = AssertSpecial
trigger1 = 1
flag = nojugglecheck

[State 1100, 3]
type = HitDef
trigger1 = Animelemtime(4) = 1
attr = S, SA
animtype  = Up
air.animtype = Back
damage    = 56, 4
priority  = 5
guardflag = MA
hitflag = MAF
pausetime = 12,12
sparkno = S9007
guard.sparkno = S9008
sparkxy = 0,-48
hitsound   = S12, 2
guardsound = S0,10
ground.type = Low
ground.slidetime = 15
ground.hittime  = 20
ground.velocity = -1.5,-6
guard.velocity = -6
air.velocity = -3,9
airguard.velocity = -3,9
fall.xvelocity = -2
fall.yvelocity = -5.652
down.bounce = 1
p2facing = 1
fall = 1                   ;Make p2 fall down
getpower = 83
givepower = 14
nochainid = 3000
air.juggle = 15
fall.recover = 0

[State 1100, 5]
type = ChangeState
trigger1 = AnimTime = 0
value = 1105
ctrl = 0
;---------------------------------------------------------------------------
; Bencao (light)
[Statedef 1200]
type    = S
movetype= A
physics = S
juggle  = 15
poweradd= 50
velset = 0,0
anim = 1200
ctrl = 0
sprpriority = 1
hitcountpersist = 1

[State 0, PlaySnd]
type = PlaySnd
trigger1 = animelem = 10
value = 5,1
channel = 0

[State 1200, 1]
type = PlaySnd
trigger1 = AnimElem = 4
value = 0, 22

[State 0, Helper]
type = Helper
trigger1 = animelem = 10
helpertype = normal ;player
name = "Wranch"
ID = 1250
stateno = 1205
pos = 38,-56
postype = p1    ;p2,front,back,left,right
keyctrl = 0
ownpal = 1
supermovetime = 0
pausemovetime = 0
ignorehitpause = 1
persistent = 0


[State 1200, 3]
type = ChangeState
trigger1 = AnimTime = 0
value = 0
ctrl = 1

;---------------------------------------------------------------------------
; Bencao WRANCH (light)
[Statedef 1205]
type    = A
movetype= A
physics = N
juggle  = 15
poweradd= 50
velset = 0,0
anim = 1205
ctrl = 0
sprpriority = 2

[State 0, VelSet]
type = VelSet
trigger1 = Time = 0
x = 6.015625
y = 0


[State 1000, 6] ;Opponent not near
type = HitDef
trigger1 = Time = 0
attr = S, SA
animtype  = Hard
damage    = 78
priority  = 4
hitflag = MA
guardflag = MA
pausetime = 1,15
sparkno = S9007
guard.sparkno = S9008
sparkxy = -2,-7
hitsound   = S12, 2
guardsound = S0,10
ground.type = Low
ground.slidetime = 12
ground.hittime  = 8
ground.velocity = -4
air.velocity = -2,-4
getpower = 278
givepower = 28
nochainid = 3000,1000
air.juggle = 15
ground.cornerpush.veloff = 0
guard.cornerpush.veloff = 0
air.cornerpush.veloff = 0

[State 1005, HB]
type = hitby
trigger1 = 1
time = -1
value = SCA, NP, SP, HP
ignorehitpause = 1

[State 1005, End]
type = changestate
trigger1 = movecontact
value = 1206
ignorehitpause = 1

[State 1200, HitOverride]
type = hitoverride
trigger1 = 1
time = -1
attr = SCA, AA, AP, AT
stateno = 1206
ignorehitpause = 1

[State 1200, HB]
type = hitby
trigger1 = 1
time = -1
value = SCA, NP, SP, HP
ignorehitpause = 1

[State 1200, 3]
type = Destroyself
trigger1 = pos x != [ -200, 200]

;---------------------------------------------------------------------------
; Bencao WRANCH (Strong)
[Statedef 1207]
type    = A
movetype= A
physics = N
juggle  = 15
poweradd= 50
velset = 0,0
anim = 1205
ctrl = 0
sprpriority = 2

[State 0, VelSet]
type = VelSet
trigger1 = Time = 0
x = 6.015625
y = -4

[State 1000, 6] ;Opponent not near
type = HitDef
triggerall = !NumTarget(435)
trigger1 = Time = 0
attr = S, SA
animtype  = Hard
damage    = 78
priority  = 4
hitflag = MA
guardflag = MA
pausetime = 1,15
sparkno = S9007
guard.sparkno = S9008
sparkxy = -2,-7
hitsound   = S12, 2
guardsound = S0,10
ground.type = Low
ground.slidetime = 12
ground.hittime  = 8
ground.velocity = -4
air.velocity = -2,-4
getpower = 278
givepower = 28
nochainid = 3000, 1000
air.juggle = 15
ground.cornerpush.veloff = 0
guard.cornerpush.veloff = 0
air.cornerpush.veloff = 0

[State 1000, 6] ;Opponent not near
type = HitDef
triggerall = Numtarget(435)
trigger1 = Time = 0
attr = S, SA
animtype  = Hard
damage    = 78
priority  = 4
hitflag = MAF
guardflag = MA
pausetime = 1,15
sparkno = S9007
guard.sparkno = S9008
sparkxy = -2,-7
hitsound   = S12, 2
guardsound = S0,10
ground.type = Low
ground.slidetime = 12
ground.hittime  = 8
ground.velocity = -4
air.velocity = -2,-4
getpower = 278
givepower = 28
chainid = 435
nochainid = 3000, 1000
ground.cornerpush.veloff = 0
guard.cornerpush.veloff = 0
air.cornerpush.veloff = 0
air.juggle = 15

[State 1005, End]
type = changestate
trigger1 = movecontact
value = 1206
ignorehitpause = 1

[State 1200, HitOverride]
type = hitoverride
trigger1 = 1
time = -1
attr = SCA, AA, AP, AT
stateno = 1206
ignorehitpause = 1

[State 1200, HB]
type = hitby
trigger1 = 1
time = -1
value = SCA, NP, SP, HP
ignorehitpause = 1

[State 1200, 3]
type = Changestate
trigger1 = pos x != [ -200, 200]
value = 1206

;---------------------------------------------------------------------------
; Bencao WRANCH (hitoverride)
[Statedef 1206]
type    = A
movetype= A
physics = N
velset = 0,0
anim = 1206
ctrl = 0
sprpriority = 2
id = 1251

[State 1200, 3]
type = Destroyself
trigger1 = Animtime = 0

;---------------------------------------------------------------------------
; Bencao (strong)
[Statedef 1210]
type    = S
movetype= A
physics = S
juggle  = 15
poweradd= 50
velset = 0,0
anim = 1200
ctrl = 0
sprpriority = 1

[State 0, PlaySnd]
type = PlaySnd
trigger1 = animelem = 10
value = 5,1
channel = 0

[State 1200, 1]
type = PlaySnd
trigger1 = AnimElem = 4
value = 0, 22

[State 0, Helper]
type = Helper
trigger1 = animelem = 10
helpertype = normal ;player
name = "Wranch"
ID = 1250
stateno = 1207
pos = 39,-57
postype = p1    ;p2,front,back,left,right
keyctrl = 0
ownpal = 1
supermovetime = 0
pausemovetime = 0
ignorehitpause = 1
persistent = 0

[State 1200, 3]
type = ChangeState
trigger1 = AnimTime = 0
value = 0
ctrl = 1
;----------------------------------------------------------------------------------------------
;Gaudy Punch I mean Real Beat
[Statedef 1300]
type    = S
movetype= A
physics = S
juggle  = 15
velset = 0,0
anim = 1300
poweradd = 138*(!var(56))
ctrl = 0
sprpriority = 2
facep2 = 1

[state varset]
type = varset
trigger1 = command = "a" || command = "b"
var(5) = 1

[State 1300]
type = Changestate
trigger1 = animtime = 0
value = 1305
;------------------------------------------------------------------------
;Real Beat Loop
[Statedef 1305]
type    = S
movetype= A
physics = S
juggle  = 4
velset = 0,0
anim = 1305
ctrl = 0
sprpriority = 2

[State 1010, Snd]
type = playsnd
trigger1 = time = 0
value = 5, 3
channel = 0
loop = 1

[State 3000, 1]
type = PlaySnd
trigger1 = AnimElem = 1 || Animelem = 3 || Animelem = 5
value = 0,7
channel = -1

[State 3000, 1]
type = PlaySnd
trigger1 = AnimElem = 1 || Animelem = 3 || Animelem = 5
value = 0,6
channel = -1

[State -3, Corner Push]; Reset
type= varset
trigger1= 1
fvar(5)= ifelse((facing=1),0.99542236328125,-0.99542236328125)

[State 1210, 2]
type = HitDef
trigger1 = Animelem = 1 || Animelem = 3 || Animelem = 5
attr = S, SA
animtype  = Hard
damage    = 11
priority  = 5
hitflag = MA
guardflag = MA
sparkno = S9007
guard.sparkno = S9008
pausetime = 4,4
sparkxy = 0,-65
hitsound   = S12, 2
guardsound = S0,10
ground.type = Low
ground.slidetime = 18
ground.hittime  = 20
nochainid = 3000
ground.velocity = -2.5
ground.cornerpush.veloff = 0 ;To push far away when p2 is in corner
guard.velocity = -8
air.velocity = -4,-4.5
airguard.velocity = -4,-4.5
getpower = 28,28
givepower = 13,13
nochainid = 3000

[state varset]
type = varset
trigger1 = !time
var(6) = var(5)

[state varset]
type = varset
trigger1 = command = "a" || command = "b"
var(6) = 1

[State 1010, Loop]
type=changeanim
triggerall= var(46)>0
trigger1= !animtime
trigger2= anim=1305
trigger2= var(11)!=0 && animelemtime(5)>=0
value= 1305
elem= 1

[State 1305, Followup]
type= changestate
trigger1 = command="realbeatfinish"
value = 1320

[State 1305, End]
type= changestate
triggerall = var(46) <= 0
trigger1 = animelemtime(4) = 0 || animelemtime(6) = 0
trigger2 = animelemtime(2) = 0 && prevstateno = 1305
value = 1310
;----------------------------------------------------------------------------
;Real Beat End
[Statedef 1310]
type    = S
movetype= I
physics = S
juggle  = 4
velset = 0,0
anim = 1310
ctrl = 0
sprpriority = 2

[State 0, StopSnd]
type = StopSnd
trigger1 = time = 0
channel = 0

[State 1010, Snd]
type = playsnd
trigger1 = time = 1
value = 5, 4
channel = 0

[State 1300]
type = Changestate
trigger1 = animtime = 0
value = 0
ctrl = 1
;---------------------------------------------------------------------------
; Real Beat Finisher
[Statedef 1320]
type    = S
movetype= A
physics = N
juggle  = 5
ctrl = 0
velset = 0,0
anim = 1320
sprpriority = 2
hitcountpersist = 1

[State 0, PlaySnd]
type = PlaySnd
trigger1 = Animelemtime(2) = 0
value = S2,3
channel = 0

[State 1010, Snd]
type = playsnd
trigger1 = time = 1
value = 5, 4
channel = 0

[State 0, StopSnd]
type = StopSnd
trigger1 = time = 0
channel = 0

[State 0, VelSet]
type = VelSet
trigger1 = Animelemtime(1) = 6
x = 6

[State 0, VelAdd]
type = VelAdd
trigger1 = Animelemtime(1) > 6
trigger1 = Animelemtime(3) < 10 
x = 0.0625

[State 0, VelSet]
type = VelSet
trigger1 = Animelemtime(3) = 10
x = 0

[State 240, 1]
type = PlaySnd
trigger1 = Time = 2
value = 0, 1

[State 240, 2]
type = HitDef
trigger1 = Time = 0
attr = S, NA
animtype  = Medium
damage    = 44
guardflag = M
pausetime = 12,12
sparkno = S9007
guard.sparkno = S9008
sparkxy = -10,-60
hitsound   = S12, 2
guardsound = S0,10
ground.type = Low
ground.slidetime = 12
ground.hittime  = 16
ground.velocity = -6, -9
air.velocity = -2,-4
air.hittime = 16
fall = 1
ground.cornerpush.veloff = 0
guard.cornerpush.veloff = 0
air.cornerpush.veloff = 0
airguard.cornerpush.veloff = 0
down.cornerpush.veloff = 0
getpower = 83
givepower = 14
nochainid = 3000

[State 240, 4]
type = ChangeState
trigger1 = AnimTime = 0
value = 0
ctrl = 1
;---------------------------------------------------------------------------
;Queixada
;----------------------------------------------------------------------------------------------------------
[StateDef 1400]
MoveType = A
Anim = 1400
VelSet = 0, 0
Ctrl = 0
SprPriority = 2
Juggle = 15
poweradd = 139

[State 1400, Vel]
type = Velset
trigger1 = Anim = 1400 && Animelemtime(3) = 7
x = 2

[State 1400, Veladd]
type = Veladd
trigger1 = Anim = 1400 && Animelemtime(3) > 7 && Animelemtime(6) < 2
x = 0.1875

[State 1400]
type = Velset
trigger1 = Anim = 1400 && Animelemtime(6) = 2
x = 0

[State 0, PlaySnd]
type = PlaySnd
trigger1 = Animelemtime(3) = 0
value = S5,6
channel = 0
persistent = 0

[State 1100, 1]
type = PlaySnd
trigger1 = AnimElem = 4
value = 0,27
persistent = 0

[State 240, 2]
type = HitDef
triggerall = !movehit
triggerall = var(10)<=9
trigger1 = animelemtime(5) = 0
trigger2 = animelemtime(6) = 0
attr = S, NA
animtype  = Medium
damage    = 111
guardflag = M
pausetime = 12,12
sparkno = S9007
guard.sparkno = S9008
sparkxy = -10,-60
hitsound   = S12, 2
guardsound = S0,10
ground.type = Low
ground.slidetime = 12
ground.hittime  = 26
ground.velocity = -4,0
fall = 0
air.velocity = -2,-4
air.hittime = 16
ground.cornerpush.veloff = 0
guard.cornerpush.veloff = 0
air.cornerpush.veloff = 0
airguard.cornerpush.veloff = 0
down.cornerpush.veloff = 0
getpower = 167
givepower = 42
hitonce = 1
nochainid = 3000
fall.recover = 0


[State 240, 2]
type = HitDef
triggerall = !movehit
triggerall = var(10) >=10 && var(10) <= 19
trigger1 = animelemtime(5) = 0
trigger2 = animelemtime(6) = 0
attr = S, NA
animtype  = Medium
damage    = 222
guardflag = H
pausetime = 12,12
sparkno = S9007
guard.sparkno = S9008
sparkxy = -10,-60
hitsound   = S12, 2
guardsound = S0,10
ground.type = Low
ground.slidetime = 12
ground.hittime  = 26
ground.velocity = -2.5,0
fall = 1
air.velocity = -2,-4
air.hittime = 16
ground.cornerpush.veloff = 0
guard.cornerpush.veloff = 0
air.cornerpush.veloff = 0
airguard.cornerpush.veloff = 0
down.cornerpush.veloff = 0
getpower = 167
givepower = 42
hitonce = 1
nochainid = 3000
fall.recover = 0

[State 240, 2]
type = HitDef
triggerall = !movehit
triggerall = var(10) >=20
trigger1 = animelemtime(5) = 0
trigger2 = animelemtime(6) = 0
attr = S, NA
animtype  = Medium
damage    = 333
pausetime = 12,12
sparkno = S9007
guard.sparkno = S9008
sparkxy = -10,-60
hitsound   = S12, 2
guardsound = S0,10
ground.type = Low
ground.slidetime = 12
ground.hittime  = 24
ground.velocity = -6, -9
fall = 1
air.velocity = -2,-4
air.hittime = 16
ground.cornerpush.veloff = 0
guard.cornerpush.veloff = 0
air.cornerpush.veloff = 0
airguard.cornerpush.veloff = 0
down.cornerpush.veloff = 0
getpower = 167
givepower = 42
hitonce = 1
nochainid = 3000
fall.recover = 0

[State 0, Width]
type = Width
trigger1 = Animelemtime(5) >= 0 && Animelemtime(5) <= 3
edge = 0,0
player = 30,0

[State 0, Width]
type = Width
trigger1 = Animelemtime(6) >= 0 && Animelemtime(6) <= 2
edge = 0,0
player = 80,0


[state 1400]
type = varset
trigger1 = Animelem = 6
v = 10
value = 0

[State 200, StateTypeSet]
type = StateTypeSet
trigger1 = Anim = 1405
movetype = I

[State 1400]
type = changeanim
trigger1 = Anim = 1400 && !Animtime
value = 1405

[State 1600, End]
Type = ChangeState
Trigger1 = Anim = 1405 && !AnimTime
Value = 0
Ctrl = 1
;----------------------------------------------------------------------------------------------------------
;Queixada Helper
;----------------------------------------------------------------------------------------------------------
[Statedef 1600]
anim = 1

[State 6005, b]
type = VarSet
trigger1 = !time
var(0) = ifelse((parent, command = "holdb"), 0, 1)

[State 6005, reset]
type = ParentVarSet
triggerall = parent, var(10) > 0
trigger1 = !time
trigger2 = parent, movetype = h
var(10) = 0

[State 6005, count]
type = ParentVarAdd
triggerall = parent, stateno != 1400
trigger1 = parent, var(10) < 30
trigger1 = time%60 = 1
var(10) = 1

[State 6005, die]
type = destroyself
trigger1 = parent, movetype = h
trigger2 = parent, command != "holdb"